operator+
Prev | Chapter 13. Db_vector_iterator | Next

## operator+

### Function Details

    self operator+(difference_type n) const

Iterator movement operator.

Return another iterator by moving this iterator backward by n elements.

#### Parameters

##### n

The amount and direction of movement. If negative, will move forward by |n| element.

#### Return Value

The new iterator at new position.

#### See Also

db_vector_base_iterator::operator+(difference_type n) const

### Group: Iterator movement operators.

These functions have identical behaviors and semantics as those of db_vector_base_iterator , so please refer to equivalent in that class.

### Class

db_vector_iterator

Prev | Up | Next
operator= | Home | operator+=